Package org.apache.ignite.internal.logger.platform

## Class PlatformLogger

- java.lang.Object
- - org.apache.ignite.internal.logger.platform.PlatformLogger

All Implemented Interfaces:
  `IgniteLogger`

    public class PlatformLogger
    extends Object
    implements IgniteLogger

Logger that delegates to platform.

### Field Summary

Fields
`static int` `LVL_DEBUG`
`static int` `LVL_ERROR`
`static int` `LVL_INFO`
`static int` `LVL_TRACE`
`static int` `LVL_WARN`

### Fields inherited from interface org.apache.ignite.IgniteLogger

`DEV_ONLY`

### Constructor Summary

Constructors
`PlatformLogger()` Ctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(String msg)` Logs out debug message.
`void` `error​(String msg)` Logs out error message.
`void` `error​(String msg, @Nullable Throwable e)` Logs error message with optional exception.
`String` `fileName()` Gets name of the file being logged to if one is configured or `null` otherwise.
`IgniteLogger` `getLogger​(Object ctgr)` Creates new logger with given category based off the current instance.
`void` `info​(String msg)` Logs out information message.
`boolean` `isDebugEnabled()` Tests whether `debug` level is enabled.
`boolean` `isInfoEnabled()` Tests whether `info` level is enabled.
`boolean` `isQuiet()` Tests whether Logger is in "Quiet mode".
`boolean` `isTraceEnabled()` Tests whether `trace` level is enabled.
`void` `setContext​(PlatformContext ctx)` Sets the context.
`void` `setGateway​(PlatformCallbackGateway gate)` Sets the gateway.
`String` `toString()`
`void` `trace​(String msg)` Logs out trace message.
`void` `warning​(String msg)` Logs out warning message.
`void` `warning​(String msg, @Nullable Throwable e)` Logs out warning message with optional exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.IgniteLogger

`debug, error, info, trace, warning`

### Field Detail

#### LVL_TRACE

    public static final int LVL_TRACE

See Also:
  Constant Field Values

#### LVL_DEBUG

    public static final int LVL_DEBUG

See Also:
  Constant Field Values

#### LVL_INFO

    public static final int LVL_INFO

See Also:
  Constant Field Values

#### LVL_WARN

    public static final int LVL_WARN

See Also:
  Constant Field Values

#### LVL_ERROR

    public static final int LVL_ERROR

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformLogger

    public PlatformLogger()

Ctor.

### Method Detail

#### getLogger

    public IgniteLogger getLogger​(Object ctgr)

Creates new logger with given category based off the current instance.

Specified by:
  `getLogger` in interface `IgniteLogger`
Parameters:
  `ctgr` - Category for new logger.
Returns:
  New logger with given category.

#### trace

    public void trace​(String msg)

Logs out trace message.

Specified by:
  `trace` in interface `IgniteLogger`
Parameters:
  `msg` - Trace message.

#### debug

    public void debug​(String msg)

Logs out debug message.

Specified by:
  `debug` in interface `IgniteLogger`
Parameters:
  `msg` - Debug message.

#### info

    public void info​(String msg)

Logs out information message.

Specified by:
  `info` in interface `IgniteLogger`
Parameters:
  `msg` - Information message.

#### warning

    public void warning​(String msg)

Logs out warning message.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `msg` - Warning message.

#### warning

    public void warning​(String msg,
                        @Nullable
                        @Nullable Throwable e)

Logs out warning message with optional exception.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `msg` - Warning message.
  `e` - Optional exception (can be `null`).

#### error

    public void error​(String msg)

Logs out error message.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `msg` - Error message.

#### error

    public void error​(String msg,
                      @Nullable
                      @Nullable Throwable e)

Logs error message with optional exception.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `msg` - Error message.
  `e` - Optional exception (can be `null`).

#### isTraceEnabled

    public boolean isTraceEnabled()

Tests whether `trace` level is enabled.

Specified by:
  `isTraceEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `trace` level is enabled, `false` otherwise.

#### isDebugEnabled

    public boolean isDebugEnabled()

Tests whether `debug` level is enabled.

Specified by:
  `isDebugEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `debug` level is enabled, `false` otherwise.

#### isInfoEnabled

    public boolean isInfoEnabled()

Tests whether `info` level is enabled.

Specified by:
  `isInfoEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `info` level is enabled, `false` otherwise.

#### isQuiet

    public boolean isQuiet()

Tests whether Logger is in "Quiet mode".

Specified by:
  `isQuiet` in interface `IgniteLogger`
Returns:
  `true` "Quiet mode" is enabled, `false` otherwise

#### fileName

    public String fileName()

Gets name of the file being logged to if one is configured or `null` otherwise.

Specified by:
  `fileName` in interface `IgniteLogger`
Returns:
  Name of the file being logged to if one is configured or `null` otherwise.

#### setGateway

    public void setGateway​(PlatformCallbackGateway gate)

Sets the gateway.

Parameters:
  `gate` - Callback gateway.

#### setContext

    public void setContext​(PlatformContext ctx)

Sets the context.

Parameters:
  `ctx` - Platform context.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`